osCommerce France : Accueil Forum Portail osCommerce France Réponses aux questions Foire aux contributions

Bienvenue invité ( Connexion | Inscription )

 
Reply to this topicStart new topic
> en prod ?
niko
posté 7 Apr 2011, 00:31
Message #1


Ceinture orange OSC
Icône de groupe

Groupe : Membres
Messages : 287
Inscrit : 20-December 02
Lieu : perpignan
Membre no 679



j'étais en train de bosser sur une 2.3 et j'ai vu la 3 allait sortir, et je pensais du coup arrêter de bosser sur l'autre.
Mais après avoir bien lu, ils ont freezé cette version, en gros pour sortir le framework et la base de la V3

mais est ce utilisable en prod ? j'ai l'impression que non...



--------------------
WAS : Creload 6, derniere version FR
ms2.2RC2 tuned peut être bientôt une 2.3.1 tuned
Go to the top of the page
 
chrysalide
posté 7 Apr 2011, 08:17
Message #2


Ceinture bleue OSC
Icône de groupe

Groupe : Modérateurs
Messages : 1084
Inscrit : 29-November 04
Membre no 3935



tout est deja dit :

http://www.oscommerce-fr.info/forum/index....st&p=355341


--------------------
Petit guide pour résoudre tout vos problèmes avec Oscommerce

FORK perso a base de MS2 RC1 FR avec deux trois contribs + pas mal de dev perso + beaucoup (trop ?) d'Ajax + un peu mais pas trop de flash + virer la structure tableau + de feuille de style + pas mal de <DIV id="****">.......... en gros ca ressemble plus trop a l'originale
Go to the top of the page
 
foayiid
posté 7 Apr 2011, 09:54
Message #3


Ceinture orange OSC
Icône de groupe

Groupe : Membres
Messages : 168
Inscrit : 18-August 06
Lieu : PACA
Membre no 11589



Tout dépend de ce que tu veux.

Pour résumer :

Oscommerce 2.3 = si tu veux une boutique fiable, facile à maintenir et rapide à mettre en place. Une fois le site mis en place tu ne le touches plus (ou presque plus pendant des années).
Oscommerce 3.0 = si tu projettes de faire évoluer ta boutique en développant des modules spécifiques et en prévoyant des développements conséquents. Ou si tu veux une boutique tournée vers l'avenir. Alors attends la fin du mois d'avril (minimum) pour une version stable et finie de la V3. [ATTENTION PHP 5.3 impératif, on ne le répètera jamais assez ! NON disponible chez tous les hébergeurs]

Pour le moment il s'agit uniquement d'une version pour comprendre le fonctionnement du core. Elle mériterait la dénomination Alpha mais cet adjectif avait déjà était utilisé en 2008/2009 avec la dernière mouture OSC3 alpha5.
Alors que la V3 d'aujourd'hui n'a absolument plus rien a voir avec l'alpha 5.

Tout dépend également de ton niveau en programmation, la 2.3 est conçue avec des tableaux, du HTML dans les fichiers PHP, ... (facile à modifier mais pas à maintenir !)
La V3 est de la POO (prog orientée objet) pure et dure, c'est de l'instanciation de classe, des fonctions membres, ... donc quelque chose qui peut paraître abstrait à un programmeur néofite (et donc peut le décourager).

Le changement de licence de la V3 va également permettre à des programmeurs de créer des modules payants. Donc certains modules de la v2.3 ne seront peut être plus gratuit pour la v3 (j'ai bien dis peut-être).

Ce message a été modifié par foayiid - 7 Apr 2011, 09:56.


--------------------
MS2.2 RC2a ne ressemblant plus à rien de connu et bientôt migration sur OSC 12 ^^
Go to the top of the page
 

Reply to this topicStart new topic
1 utilisateur(s) sur ce sujet (1 invité(s) et 0 utilisateur(s) anonyme(s))
0 membre(s) :

 



RSS Version bas débit Nous sommes le : 24th November 2017 - 06:51
Ce site est déclaré auprès de la commision Nationale
de l'Informatique et des Libertés (déclaration n°: 1043896)